## org.apache.batik.bridge
Class UpdateManagerEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.bridge.UpdateManagerEvent

All Implemented Interfaces:
  java.io.Serializable

public class UpdateManagerEvent
extends java.util.EventObject

This class represents an event which indicate an event originated from a UpdateManager instance.

See Also:
  Serialized Form

Field Summary
`protected java.util.List` `dirtyAreas` The dirty areas, as a List of Rectangles.
`protected java.awt.image.BufferedImage` `image` The buffered image.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`UpdateManagerEvent(java.lang.Object source, java.awt.image.BufferedImage bi, java.util.List das)` Creates a new UpdateManagerEvent.

Method Summary
`java.util.List` `getDirtyAreas()` Returns the dirty areas (list of rectangles)
`java.awt.image.BufferedImage` `getImage()` Returns the image to display, or null if the rendering failed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### image

    protected java.awt.image.BufferedImage image

  The buffered image.

### dirtyAreas

    protected java.util.List dirtyAreas

  The dirty areas, as a List of Rectangles.

Constructor Detail

### UpdateManagerEvent

    public UpdateManagerEvent(java.lang.Object source,
                              java.awt.image.BufferedImage bi,
                              java.util.List das)

  Creates a new UpdateManagerEvent.

Parameters:
  `source` - the object that originated the event, ie. the UpdateManager.
  `bi` - the image to paint.

Method Detail

### getImage

    public java.awt.image.BufferedImage getImage()

  Returns the image to display, or null if the rendering failed.

### getDirtyAreas

    public java.util.List getDirtyAreas()

  Returns the dirty areas (list of rectangles)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.